Changes between Version 53 and Version 54 of python


Ignore:
Timestamp:
Nov 20, 2012, 6:14:56 PM (8 years ago)
Author:
skulovec
Comment:

Dodajanje 4 DN za PythonOCC

Legend:

Unmodified
Added
Removed
Modified
  • python

    v53 v54  
    899899{{{
    900900#!python
    901 aPnt2 = gp_Pnt(x, y, z) #definiranje točke v prostoru
     901aPnt2 = gp_Pnt(x, y, z) #definiranje točke v prostoru s funkcijo gp_Pnt(x, y, z)
    902902GC_MakeArcOfCircle(aPnt2,aPnt3 ,aPnt4) #aPnt spremenljivke predstavljajo točke v prostoru
    903903}}}
    904904Kocko izrišite v rjavi barvi (primer spremembe barve display.DisplayColoredShape(myShape, 'GREEN')).
     905
     906== vaja 126 ==
     907Izdelajte valj velikosti myHeight in radija R in ga postavite v izhodišče. Na valj postavite kocko s stranico A.
     908Na kocki zaokrožite vse robove z radijem A/10. Kocko in valj združite s funkcijo:
     909{{{
     910#!python
     911#Združevanje dveh 3D modelov
     912myBody = BRepAlgoAPI_Fuse(valj, kocka)
     913}}}
     914in izvozite v STEP format:
     915{{{
     916#!python
     917#Izdelava STEP datoteke
     918kocka_valj_step = STEPExporter("valj-kocka.stp")
     919kocka_valj_step.add_shape(myBody)
     920kocka_valj_step.write_file()
     921}}}
     922ter model prikažite na zaslonu.
     923
     924== vaja 127 ==
     925Z zrcaljenjem preko X osi izdelajte poenostavljen IPE200 profil (poenostavljen pomeni, da je brez zaokrožitev).
     926Dolžina IPE200 profila naj bo 200mm. 3D model IPE200 profila prikažite na zaslonu.
     927
     928== vaja 128 ==
     929S pomočjo funkcije za izdelavo krožnega loka izdelajte polkrog z radijem R:
     930{{{
     931#!python
     932#Izdelava krožnega loka
     933polkrog = GC_MakeArcOfCircle(aPnt1, aPnt2 ,aPnt3)
     934}}}
     935in ga nato prezrcalite preko X osi, da dobite cel krog z radijem R:
     936{{{
     937#!python
     938#Zrcaljenje preko X osi
     939xAxis = gp_OX()
     940aTrsf = gp_Trsf()
     941aTrsf.SetMirror(xAxis)
     942aBRepTrsf = BRepBuilderAPI_Transform(aWire.Shape() , aTrsf)
     943}}}
     944krog nato izvlecite v smeri vektorja vec, ki je 30° glede na X os (potrebno je določiti koordinate vektorja) in dolžine vecLength.
     945Končen 3D model prikažite na zaslonu.
     946
     947== vaja 129 ==
     948Iz tanke pločevine (1mm) izdelajte škatlo s stranico 10mm (definirati morate toliko oblik, kolikor je stranic), ki je na eni strani
     949odprta.
     950{{{
     951#!python
     952#Izdelava stranice s funkcijo
     953stranica = BRepPrimAPI_MakeBox(a, a, a)
     954}}}
     955Vse elemente združite v skupni sestav:
     956{{{
     957#!python
     958# Izdelava sestava
     959sestav = TopoDS_Compound()
     960aBuilder = BRep_Builder()
     961aBuilder.MakeCompound (sestav)
     962aBuilder.Add (sestav, stranica1)
     963aBuilder.Add (sestav, stranica2)
     964.
     965.#za ostale stranice velja enako
     966}}}
     967in izvozite sestav v IGES formatu:
     968{{{
     969#!python
     970#Izdelava IGES datoteke
     971sestav_iges = IGESExporter("sestav.iges")
     972sestav_iges.add_shape(sestav)
     973sestav_iges.write_file()
     974}}}
     975ter končen sestav prikažite na zaslonu.
     976
     977